Show / Hide Table of Contents

# Struct AtkValue

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Component.GUI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AtkValue

### Fields

| Improve this Doc View Source

#### Byte

##### Declaration

    public byte Byte

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Float

##### Declaration

    public float Float

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Int

##### Declaration

    public int Int

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### String

##### Declaration

    public byte *String

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### Type

##### Declaration

    public ValueType Type

##### Field Value

Type | Description
--- | ---
ValueType |

| Improve this Doc View Source

#### UInt

##### Declaration

    public uint UInt

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Vector

##### Declaration

    public StdVector<AtkValue>*Vector

##### Field Value

Type | Description
--- | ---
StdVector<AtkValue>* |

### Methods

| Improve this Doc View Source

#### ChangeType(ValueType)

##### Declaration

    public void ChangeType(ValueType type)

##### Parameters

Type | Name | Description
--- | --- | ---
ValueType | type |

| Improve this Doc View Source

#### CreateArray(Int32)

##### Declaration

    public void CreateArray(int size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | size |

| Improve this Doc View Source

#### SetString(Byte*)

##### Declaration

    public void SetString(byte *value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte* | value |

| Improve this Doc View Source

#### SetString(String)

##### Declaration

    public void SetString(string value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | value |